/*
    Copyright (C) 2004, Wolfgang Hottgenroth

    This file is part of smmapdfw.

    smmapdfw is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.  

    smmapdfw is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details. 

    You should have received a copy of the GNU General Public License
    along with smmapdfw. If not, write to the Free Software Foundation, 59
    Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/


#ifndef _STATS_H
#define _STATS_H


#define STAT_CNT_ACCEPTED 0
#define STAT_CNT_FAILED   1
#define STAT_CNT_OK_RETURNED 2
#define STAT_CNT_PERM_RETURNED 3
#define STAT_CNT_TEMP_RETURNED 4
#define STAT_CNT_NOTFOUND_RETURNED 5
#define STAT_CNT_CLASS_NOT_FOUND_FAILURE 6
#define STAT_CNT_NETSTRING_FAILURE 7
#define STAT_CNT_MAXNUM 8

void initStatCounter();
unsigned int getStatCounter(int cnt_idx);
void incStatCounter(int cnt_idx);

#endif _STATS_H_
